Add User Permissions
curl --request POST \
--url https://{tenant_id}.api.useago.com/api/v1/users/{user_id}/permissions \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"permission_ids": [
"<string>"
]
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/users/{user_id}/permissions"
payload = { "permission_ids": ["<string>"] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({permission_ids: ['<string>']})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/users/{user_id}/permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"email": "<string>",
"object": "user",
"first_name": "",
"last_name": "",
"is_customer": true,
"email_domain": "<string>",
"organization": {},
"created_at": "<string>",
"ticket_form": {},
"permissions": [
{
"id": "<string>",
"name": "<string>",
"display_name": "<string>"
}
]
}Users
Add User Permissions
Grant one or more permissions to a user without removing existing ones.
Unlike POST /users (which replaces the whole permission set), this only adds the given
permissions on top of the current ones. Re-granting a permission the user already has is a no-op.
POST
/
api
/
v1
/
users
/
{user_id}
/
permissions
Add User Permissions
curl --request POST \
--url https://{tenant_id}.api.useago.com/api/v1/users/{user_id}/permissions \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"permission_ids": [
"<string>"
]
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/users/{user_id}/permissions"
payload = { "permission_ids": ["<string>"] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({permission_ids: ['<string>']})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/users/{user_id}/permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"email": "<string>",
"object": "user",
"first_name": "",
"last_name": "",
"is_customer": true,
"email_domain": "<string>",
"organization": {},
"created_at": "<string>",
"ticket_form": {},
"permissions": [
{
"id": "<string>",
"name": "<string>",
"display_name": "<string>"
}
]
}Authorizations
Path Parameters
Body
application/json
Permissions to grant to a user. Added on top of existing ones — never overwrites.
Response
200 - application/json
OK
Show child attributes
Show child attributes
